Get auto-commit mode of the connection

- « cubrid_free_result

- cubrid_get_charset »

- PHP Manual
- CUBRID Functions
- Get auto-commit mode of the connection

# cubrid_get_autocommit

(PECL CUBRID >= 8.4.0)

cubrid_get_autocommit — Get auto-commit mode of the connection

### Description

cubrid_get_autocommit(resource `$conn_identifier`): bool

The cubrid_get_autocommit() function is used to get the status of CUBRID database connection auto-commit mode.

For CUBRID 8.4.0, auto-commit mode is disabled by default for transaction management.

For CUBRID 8.4.1, auto-commit mode is enabled by default for transaction management.

### Parameters

`conn_identifier`

  Connection identifier.

### Return Values

`true`, when auto-commit is on.

`false`, when auto-commit is off.

`null` on error.

### See Also

- cubrid_set_autocommit() - Set autocommit mode of the connection
- cubrid_commit() - Commit a transaction